Subject: Re: What's cooking in git.git (Aug 2021, #06; Mon, 16)

From: Phillip Wood <[email-masked]>
Date: Tue, 17 Aug 2021 11:20:47 +0100

On 17/08/2021 00:06, Junio C Hamano wrote:
> Here are the topics that have been cooking in my tree.  Commits
> prefixed with '+' are in 'next' (being in 'next' is a sign that a
> topic is stable enough to be used and are candidate to be in a
> future release).  Commits prefixed with '-' are only in 'seen',
> which means nothing more than that I have found them of interest for
> some reason (like "it may have hard-to-resolve conflicts with
> another topic already in flight" or "this may turn out to be
> useful").  Do not read too much into a topic being in (or not in)
> 'seen'.  The ones marked with '.' do not appear in any of the
> integration branches, but I am still holding onto them.
> 
> Git 2.33 (final) has been tagged.  As it was a shorter cycle that
> lasted only for 10 weeks, we may see some regression post release,
> so let's see how it goes for a few days before starting the next
> round.
> 
> * pw/rebase-skip-final-fix (2021-08-13) 3 commits
>   - rebase --continue: remove .git/MERGE_MSG
>   - rebase --apply: restore some tests
>   - t3403: fix commit authorship
> 
>   Checking out all the paths from HEAD during the last conflicted
>   step in "git rebase" and continuing would cause the step to be
>   skipped (which is expected), but leaves MERGE_HEAD file behind in
>   $GIT_DIR and confuses the next "git commit", which has been
>   corrected.
> 
>   Will merge to 'next'.

Thanks

> * lh/systemd-timers (2021-07-02) 3 commits
>   - maintenance: add support for systemd timers on Linux
>   - maintenance: `git maintenance run` learned `--scheduler=<scheduler>`
>   - cache.h: Introduce a generic "xdg_config_home_for(…)" function
> 
>   "git maintenance" scheduler learned to use systemd timers as a
>   possible backend.
> 
>   Waiting for reviews.

I'd really like to see this merged, there was some discussion a couple 
of weeks ago (cf <[email-masked]>), it 
petered out but no one seemed to be objecting to merging it.

> * zh/cherry-pick-advice (2021-08-14) 1 commit
>   - cherry-pick: use better advice message
> 
>   The advice message that "git cherry-pick" gives when it asks
>   conflicted replay of a commit to be resolved by the end user has
>   been updated.

I think this is getting there now, I need to look at the tests in v5 but 
the changes to sequencer.c looked good to me.

> * jk/commit-edit-fixup-fix (2021-08-15) 1 commit
>   - commit: restore --edit when combined with --fixup
> 
>   "git commit --fixup" now works with "--edit" again, after it was
>   broken in v2.32.
> 
>   Will merge to 'next'?

Yes please, there was a new version posted at the weekend but I've just 
checked and you've already picked it up in seen.

Best Wishes

Phillip